Browse Source

Update dependencies

new-home-ui
Hardcore Sushi 5 months ago
parent
commit
bee2997f90
Signed by: hardcoresushi
GPG Key ID: 007F84120107191E
  1. 10
      README.md
  2. 2
      app/build.gradle
  3. 4
      build.gradle

10
README.md

@ -106,16 +106,16 @@ $ git submodule update --init
libgocryptfs needs OpenSSL:
```
$ cd app/libgocryptfs
$ wget https://www.openssl.org/source/openssl-1.1.1l.tar.gz
$ wget https://www.openssl.org/source/openssl-1.1.1m.tar.gz
```
Verify OpenSSL signature:
```
$ wget https://www.openssl.org/source/openssl-1.1.1l.tar.gz.asc
$ gpg --verify openssl-1.1.1l.tar.gz.asc openssl-1.1.1l.tar.gz
$ wget https://www.openssl.org/source/openssl-1.1.1m.tar.gz.asc
$ gpg --verify openssl-1.1.1m.tar.gz.asc openssl-1.1.1m.tar.gz
```
Continue **ONLY** if the signature is **VALID**.
```
$ tar -xvzf openssl-1.1.1l.tar.gz
$ tar -xvzf openssl-1.1.1m.tar.gz
```
DroidFS also need [FFmpeg](https://ffmpeg.org) to record encrypted video:
```
@ -135,7 +135,7 @@ $ go get golang.org/x/sys/unix golang.org/x/sys/cpu golang.org/x/crypto/hkdf git
Then, retrieve your Android NDK installation path, usually someting like "/home/\<user\>/Android/SDK/ndk/\<NDK version\>". We can now build libgocryptfs:
```
$ cd DroidFS/app/libgocryptfs
$ env ANDROID_NDK_HOME="<your ndk path>" OPENSSL_PATH="./openssl-1.1.1l" ./build.sh
$ env ANDROID_NDK_HOME="<your ndk path>" OPENSSL_PATH="./openssl-1.1.1m" ./build.sh
```
And also FFmpeg:
```

2
app/build.gradle

@ -4,7 +4,7 @@ apply plugin: 'kotlin-android'
android {
compileSdkVersion 31
buildToolsVersion "31"
ndkVersion "23.0.7599858"
ndkVersion "23.1.7779620"
compileOptions {
targetCompatibility JavaVersion.VERSION_1_8

4
build.gradle

@ -1,12 +1,12 @@
// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
ext.kotlin_version = "1.5.31"
ext.kotlin_version = "1.6.10"
repositories {
google()
mavenCentral()
}
dependencies {
classpath 'com.android.tools.build:gradle:7.0.3'
classpath 'com.android.tools.build:gradle:7.0.4'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
}
}

Loading…
Cancel
Save